
From: Adrian Bunk <bunk@stusta.de>

The patch below removes unused functions from drivers/char/watchdog/machzwd.c

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                               |    0 
 25-akpm/drivers/char/watchdog/machzwd.c |   29 -----------------------------
 2 files changed, 29 deletions(-)

diff -puN drivers/char/watchdog/machzwd.c~watchdog-machzwdc-remove-unused-functions-fwd drivers/char/watchdog/machzwd.c
--- 25/drivers/char/watchdog/machzwd.c~watchdog-machzwdc-remove-unused-functions-fwd	Thu Dec  9 13:36:48 2004
+++ 25-akpm/drivers/char/watchdog/machzwd.c	Thu Dec  9 13:36:48 2004
@@ -88,12 +88,6 @@ static unsigned short zf_readw(unsigned 
 	return inw(DATA_W);
 }
 
-static unsigned short zf_readb(unsigned char port)
-{
-	outb(port, INDEX);
-	return inb(DATA_B);
-}
-
 
 MODULE_AUTHOR("Fernando Fuganti <fuganti@conectiva.com.br>");
 MODULE_DESCRIPTION("MachZ ZF-Logic Watchdog driver");
@@ -155,13 +149,6 @@ static unsigned long next_heartbeat = 0;
 #endif
 
 
-/* STATUS register functions */
-
-static inline unsigned char zf_get_status(void)
-{
-	return zf_readb(STATUS);
-}
-
 static inline void zf_set_status(unsigned char new)
 {
 	zf_writeb(STATUS, new);
@@ -183,22 +170,6 @@ static inline void zf_set_control(unsign
 
 /* WD#? counter functions */
 /*
- *	Just get current counter value
- */
-
-static inline unsigned short zf_get_timer(unsigned char n)
-{
-	switch(n){
-		case WD1:
-			return zf_readw(COUNTER_1);
-		case WD2:
-			return zf_readb(COUNTER_2);
-		default:
-			return 0;
-	}
-}
-
-/*
  *	Just set counter value
  */
 
diff -L drivers/char/watchdog/machzwd.c.old -puN /dev/null /dev/null
_
